# Ejecutar pipelines definidos en pipeline.yml
if [[ -f "pipeline.yml" ]]; then
  echo "Ejecutando pipelines definidos en pipeline.yml..."
  while IFS= read -r pipeline; do
    if [[ -n "$pipeline" ]]; then
      pipeline_file="${pipeline}.yml"
      if [[ -f "$pipeline_file" ]]; then
        curl -X PUT "https://localhost:9200/_ingest/pipeline/$pipeline" \
        -H "Content-Type: application/json" \
        -u "admin:$OPENSEARCH_INITIAL_ADMIN_PASSWORD" \
        --cacert "CA/certs/ca.crt.pem" \
        -d @"$pipeline_file"
      else
        echo "ERROR: No se encontró el archivo $pipeline_file."
      fi
    fi
  done < <(grep -o '^[^#]*' "pipeline.yml" | grep -v '^$')
else
  echo "No se encontró pipeline.yml. No se ejecutaron pipelines."
fi
